#!/bin/sh

# gps2udp.sh Version 1.1 - Released 2014-01-21
# by Andrew Hazelden andrew@andrewhazelden.com
# http://www.andrewhazelden.com/blog

# gps2udp is a script that connects a GPS click via USB to a Raspberry PI.
# The serial data is pushed out through a UDP socket onto the network interface.
# The GPS is set to run at 115200 baud using the stty command.

# To install the required libraries on the PI use:
# sudo apt-get install setserial netcat screen

echo "----------------------------------"
echo "Starting gps session on port 36700"
echo "using /dev/ttyACM0 at 115200 baud"
echo "----------------------------------"

sudo setserial /dev/ttyACM0 irq 3
sudo stty -F /dev/ttyACM0 raw speed 115200
sudo stty -F /dev/ttyACM0 raw speed 115200

while [ "forever" ]
do
netcat -l -p 36700 -u < /dev/ttyACM0
done

